Can't Install .deb Package

New to Debian (Or Linux in general)? Ask your questions here!

Can't Install .deb Package

Postby llewellen » 2018-05-19 20:37

What am I missing or doing wrong?

Code: Select all
drew@dell:~/Downloads$ su
Password:
root@dell:/home/drew/Downloads# aptitude install cherrytree_0.38.4-0_all.deb
Couldn't find any package whose name or description matched "cherrytree_0.38.4-0_all.deb"
Unable to apply some actions, aborting
root@dell:/home/drew/Downloads# exit
exit
drew@dell:~/Downloads$


The board says the attachment quota has been reached and won't let me attach a screenshot showing the cherrytree file sitting there in Downloads.

Thank you.
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby Wheelerof4te » 2018-05-19 20:43

Don't use aptitude.
Code: Select all
apt install ./cherrytree_0.38.4-0_all.deb

Try that, while in Downloads.
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14

Re: Can't Install .deb Package

Postby llewellen » 2018-05-19 21:31

Wheelerof4te wrote:Don't use aptitude.
Code: Select all
apt install ./cherrytree_0.38.4-0_all.deb

Try that, while in Downloads.
'

Thanks but it looks like I'm hooped, at least for the time being.

Code: Select all
 drew@dell:~/Downloads$ su
Password:
root@dell:/home/drew/Downloads# apt install ./cherrytree_0.38.4-0_all.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'cherrytree' instead of './cherrytree_0.38.4-0_all.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 cherrytree : Depends: python-gtksourceview2 but it is not installable
E: Unable to correct problems, you have held broken packages.
root@dell:/home/drew/Downloads#
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby stevepusser » 2018-05-19 21:52

So...since that package is in the standard Stretch repositories, what is the output of
Code: Select all
apt policy python-gtksourceview2
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Cinnamon 3.8, Midori 6.0
User avatar
stevepusser
 
Posts: 10143
Joined: 2009-10-06 05:53

Re: Can't Install .deb Package

Postby llewellen » 2018-05-19 21:56

Code: Select all
 drew@dell:~$ apt policy python-gtksourceview2
python-gtksourceview2:
  Installed: (none)
  Candidate: (none)
  Version table:
drew@dell:~$
 
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby dilberts_left_nut » 2018-05-19 23:05

and output of
Code: Select all
apt policy
?
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4902
Joined: 2009-10-05 07:54
Location: enzed

Re: Can't Install .deb Package

Postby llewellen » 2018-05-19 23:09

dilberts_left_nut wrote:and output of
Code: Select all
apt policy
?


Code: Select all
 drew@dell:~$ apt policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://deb.debian.org/debian buster/main amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://mirror.it.ubc.ca/debian buster/main amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=main,b=amd64
     origin mirror.it.ubc.ca
Pinned packages:
drew@dell:~$
 
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby dilberts_left_nut » 2018-05-19 23:22

Testing probably isn't your best choice.
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4902
Joined: 2009-10-05 07:54
Location: enzed

Re: Can't Install .deb Package

Postby llewellen » 2018-05-19 23:30

dilberts_left_nut wrote:Testing probably isn't your best choice.


It's been fine for getting most things I need to do what I do but at the same time, it is somewhat disappointing that great apps that are comparatively popular, like Vivaldi browser and Cherrytree notes, aren't in the repos. Meanwhile, there are a gazillion games. Oh well.
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby bw123 » 2018-05-20 00:54

llewellen wrote:
dilberts_left_nut wrote:Testing probably isn't your best choice.


It's been fine for getting most things I need to do what I do but at the same time, it is somewhat disappointing that great apps that are comparatively popular, like Vivaldi browser and Cherrytree notes, aren't in the repos. Meanwhile, there are a gazillion games. Oh well.


Using testing won't make vivaldi appear? But there is a cherrytree pkg in the main repo.
https://packages.debian.org/search?suit ... cherrytree

I guess the point is, that using testing won't make it any easier to use out-of-repo software pkgs, it probably would make it more complicated.
User avatar
bw123
 
Posts: 3532
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Can't Install .deb Package

Postby llewellen » 2018-05-20 02:03

@bw123: Well, I'm a complete newbie in debian and I have a lot to learn. I got started into testing because there was a package there that I wanted - I can't remember exactly now, maybe the latest release of Budgie or Enlightenment DE. I haven't had much in the way of problems, except those caused by my own lack of knowledge and understanding about debian.

I assumed, mistakenly apparently, that packages in stable would still be available in testing. But look at this output from testing:

Code: Select all
  drew@dell:~$ su
Password:
root@dell:/home/drew# aptitude install cherrytree
Couldn't find any package whose name or description matched "cherrytree"
Unable to apply some actions, aborting
root@dell:/home/drew#


The same thing happened earlier with Vivaldi.
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby Wheelerof4te » 2018-05-20 06:54

Reinstall Stable.
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14

Re: Can't Install .deb Package

Postby llewellen » 2018-05-20 15:01

V
Wheelerof4te wrote:Reinstall Stable.


I'm going to wait until the next stable release and then that's what I will do. The apps that will be available in that stable version will be sufficient for my needs, with one exception:

I have moved most of what I do on a daily basis to web based apps and cloud services. That means I live in my browser to a great extent. IMO, after having tried several browsers, Vivaldi is by far the best for what I do and the way I like to do it. If I could just get Vivaldi (and additional codec package) running properly on Debian, I would gladly use it on my main system.

As it is now, I am using Manjaro on my main system, with Debian on a backup for tryout. I don't need the "bleeding edge" up to date feature of a rolling release distro but Vivaldi runs on it very smooth and very fast.
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby jmgibson1981 » 2018-05-20 21:25

You can try to backport stuff as well. It's not a hard process. I did the same for a couple Ubuntu packages for my server. Smooth as silk.

https://wiki.debian.org/SimpleBackportCreation
jmgibson1981
 
Posts: 79
Joined: 2015-06-07 14:38

Re: Can't Install .deb Package

Postby stevepusser » 2018-05-20 23:50

Stable + official Debian backports+ unofficial backports (which I do quite a few of :D ) + your own backports is going to give you the most choices, IMO. Even if a new program can't be backported, many now come as containerized apps in appimage, flatpak, or snap formats that you can install to work around that issue.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Cinnamon 3.8, Midori 6.0
User avatar
stevepusser
 
Posts: 10143
Joined: 2009-10-06 05:53

Next

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable